/*
 * imagesource_bilinear.h - Interpolated scaling filter
 * Implements bilinear scaling
 *
 * Supports RGB and CMYK data
 * Doesn't (yet) support random access
 *
 * Copyright (c) 2004 by Alastair M. Robinson
 * Distributed under the terms of the GNU General Public License -
 * see the file named "COPYING" for more details.
 *
 */

#ifndef IMAGESOURCE_BILINEAR_H
#define IMAGESOURCE_BILINEAR_H

#include "imagesource.h"

class ImageSource_Bilinear : public ImageSource
{
	public:
	ImageSource_Bilinear(ImageSource *source,int width,int height);
	~ImageSource_Bilinear();
	ISDataType *GetRow(int row);
	protected:
	ImageSource *source;
	ISDataType *lastrow;
	friend class ISBilinear_RowCache;
	int cachedrow;
};

#endif
