#ifndef PHOTOPRINT_STATE_H
#define PHOTOPRINT_STATE_H

#include "layout.h"
#include "configdb.h"
#include "stpui_widgets/units.h"
#include "printoutput.h"
#include "print.h"
#include "progress.h"
#include "profilemanager.h"
#include "searchpath.h"

class PhotoPrint_State : public ConfigFile, public ConfigDB
{
	public:
	PhotoPrint_State(bool batchmode=FALSE);
	~PhotoPrint_State();
	void SetFilename(const char *file);
	void SetDefaultFilename();
	void ParseFile();
	bool SaveFile();
	bool NewLayout(Progress *p=NULL);
	void SetUnits(enum Units unit);
	enum Units GetUnits();
	Layout *layout;
	char *filename;
	LayoutDB layoutdb;
	PrintOutput printoutput;
	GPrinter printer;
	ProfileManager profilemanager;
	SearchPath bordersearchpath;
	bool batchmode;
	protected:
	static ConfigTemplate Template[];
};

#endif
