#ifndef PRINTERQUEUES_H
#define PRINTERQUEUES_H


struct PrintSystem
{
	const char *print_command;
	const char *queue_select;
	const char *raw_flag;
	const char *key_file;
	const char *scan_command;
};

class PrinterInstance;
class PrinterQueues
{
	public:
	PrinterQueues();
	~PrinterQueues();
	int GetPrinterCount();
	char *GetPrinterName(int idx);
	char *GetPrinterDriver(const char *printername);
	char *GetPrintCommand(const char *printername);
	protected:
	void IdentifyPrintSystem();
	void BuildList();
	PrinterInstance *first;
	int printercount;
	int printsystem;
	static PrintSystem PrintSystems[];
	friend class PrinterInstance;
};

#endif
