/*
 * generaldialogs.cpp - routines to handle general-purpose dialogs - namely:
 * Error message dialog
 * File dialog (returns a char *filename to be freed by the app)
 *
 * Copyright (c) 2004-2006 by Alastair M. Robinson
 * Distributed under the terms of the GNU General Public License -
 * see the file named "COPYING" for more details.
 *
 */


#include <iostream>

#include <gtk/gtk.h>
#include "generaldialogs.h"

using namespace std;


// Error message handling


void ErrorMessage_Dialog(const char *message,GtkWidget *parent)
{
	GtkWidget *dialog = gtk_message_dialog_new (GTK_WINDOW(parent),GtkDialogFlags(0),
		GTK_MESSAGE_ERROR,GTK_BUTTONS_CLOSE,
		message);
	gtk_dialog_run (GTK_DIALOG (dialog));
	gtk_widget_destroy (dialog);
}


// File dialog


char *File_Dialog(const char *title,const char *oldfilename)
{
	char *newfile=NULL;
	GtkWidget *sel=gtk_file_selection_new(title);
	if(oldfilename)
		gtk_file_selection_set_filename(GTK_FILE_SELECTION(sel),oldfilename);
	
	gint result=gtk_dialog_run(GTK_DIALOG(sel));
	if(result==GTK_RESPONSE_OK)
		newfile=g_strdup(gtk_file_selection_get_filename(GTK_FILE_SELECTION(sel)));

	gtk_widget_destroy(GTK_WIDGET(sel));
	
	return(newfile);
}
