#ifndef SEARCHPATHDBHANDLER_H
#define SEARCHPATHDBHANDLER_H

#include "configdb.h"

class SearchPathDBHandler : public ConfigDBHandler
{
	public:
	SearchPathDBHandler(ConfigFile *file,const char *section,ConfigDB *db,SearchPath *sp,char *pathparam)
		: ConfigDBHandler(file,section,db), db(db), sp(sp), pathparameter(pathparam)
	{
	}
	virtual ~SearchPathDBHandler()
	{
	}
	virtual void LeaveSection()
	{
		sp->ClearPaths();
		sp->AddPath(db->FindString(pathparameter));
		ConfigDBHandler::LeaveSection();
	}
	virtual void SaveSection(FILE *file)
	{
		char *p=sp->GetPathList();
		db->SetString(pathparameter,p);
		free(p);
		ConfigDBHandler::SaveSection(file);
	}
	protected:
	ConfigDB *db;
	SearchPath *sp;
	const char *pathparameter;
};

#endif
